ADM6996FC(4)

NAME
adm6996fc - driver for Infineon ADM6996FC fast ethernet switch chip

SYNOPSIS
device mdio
device etherswitch
device adm6996fc

hint.adm6996fc.0.at="mdio0"

DESCRIPTION
The adm6996fc device driver provides a management interface to Infineon ADM6996FC fast ethernet switch chip. This driver use smi interface by ethernet interface.

This driver support is port and dot1q vlan. dot1q support port base tag/untag.

EXAMPLES
Configure dot1q vlan by etherswitchcfg command.

    # etherswitchcfg config vlan_mode dot1q

Configure port 5 is tagging port.

    # etherswitchcfg port5 addtag

SEE ALSO
etherswitch(4), etherswitchcfg(8)

HISTORY
The adm6996fc device driver first appeared in FreeBSD 12.0.

AUTHORS
The adm6996fc driver was written by Hiroki Mori